Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.hub.service
Interface IntraHubTherapeuticLinkService

All Known Implementing Classes:
  IntraHubTherapeuticLinkServiceImpl

    public interface IntraHubTherapeuticLinkService

Interface for therapeutic links specific intrahub services Contains basic requests for this kind of services Default impl : `IntraHubTherapeuticLinkServiceImpl`

Method Summary
`Collection<TherapeuticLinkType>` | `getTherapeuticLink(SelectGetHCPartyPatientConsentType patientConsent)` Gets the therapeutic link.
`void` | `putTherapeuticLink(TherapeuticLinkType therapeuticLink)` Put therapeutic link.
`void` | `revokeTherapeuticLink(TherapeuticLinkType therapeuticLink)` Revoke therapeutic link.

Method Detail

### putTherapeuticLink

    void putTherapeuticLink(TherapeuticLinkType therapeuticLink)
                            throws TechnicalConnectorException,
                                   IntraHubBusinessConnectorException

  Put therapeutic link.

  Parameters:
    `therapeuticLink` - the therapeutic link
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

### getTherapeuticLink

    Collection<TherapeuticLinkType> getTherapeuticLink(SelectGetHCPartyPatientConsentType patientConsent)
                                                       throws TechnicalConnectorException,
                                                              IntraHubBusinessConnectorException

  Gets the therapeutic link.

  Parameters:
    `patientConsent` - the patient consent
  Returns:
    the therapeutic link
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

### revokeTherapeuticLink

    void revokeTherapeuticLink(TherapeuticLinkType therapeuticLink)
                               throws TechnicalConnectorException,
                                      IntraHubBusinessConnectorException

  Revoke therapeutic link.

  Parameters:
    `therapeuticLink` - the therapeutic link
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.